with GNATCOM.Dispinterface;

package MSHTML.ISVGEllipseElement_Interface is

   type ISVGEllipseElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGEllipseElement_Type);

   function Pointer (This : ISVGEllipseElement_Type)
     return Pointer_To_ISVGEllipseElement;

   procedure Attach (This    : in out ISVGEllipseElement_Type;
                     Pointer : in     Pointer_To_ISVGEllipseElement);

   procedure PutRef_cx
     (This : ISVGEllipseElement_Type;
      p    : Pointer_To_ISVGAnimatedLength);

   function Get_cx
     (This : ISVGEllipseElement_Type)
     return Pointer_To_ISVGAnimatedLength;

   procedure PutRef_cy
     (This : ISVGEllipseElement_Type;
      p    : Pointer_To_ISVGAnimatedLength);

   function Get_cy
     (This : ISVGEllipseElement_Type)
     return Pointer_To_ISVGAnimatedLength;

   procedure PutRef_rx
     (This : ISVGEllipseElement_Type;
      p    : Pointer_To_ISVGAnimatedLength);

   function Get_rx
     (This : ISVGEllipseElement_Type)
     return Pointer_To_ISVGAnimatedLength;

   procedure PutRef_ry
     (This : ISVGEllipseElement_Type;
      p    : Pointer_To_ISVGAnimatedLength);

   function Get_ry
     (This : ISVGEllipseElement_Type)
     return Pointer_To_ISVGAnimatedLength;

end MSHTML.ISVGEllipseElement_Interface;

